<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">


<h:head>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous"/>

</h:head>

<h:body class="container">

	<h1>Componentes do JSF</h1>
	<h:outputLabel value="Mensagem: " for="mensagem" />
	<h:outputText value="#{bbean.mensagem}" id="mensagem" style="font-weight: bold;"/>
	
	<h2>Formulários</h2>
	<div class="card p-4 mb-4">
		<h3>Botões e links com ação</h3>
		<h:form class="form" id="form1">		
			<div class="form-group">
				<h:outputLabel value="Nome: " for="nome"/>
				<h:inputText class="form-control" value="#{bbean.nome}" id="nome"/>
			</div>		
			<h:commandButton class="btn btn-primary" action="#{bbean.maiusculas}" value="Maiúsculas"/>
			<br/>
			<h:commandLink action="#{bbean.minusculas}" value="Minúsculas"/>
		</h:form>
	</div>
	
	<div class="card p-4 mb-4">
		<h3>Campo obrigatório</h3>
		<h:form class="form" id="form2">
			<div class="form-group">
				<h:outputLabel value="Nome: " for="nome"/>
				<h:inputText class="form-control" value="#{bbean.nome}" id="nome" required="true" requiredMessage="O campo nome deve ser preenchido"/><br/>
			</div>
			<h:message for="nome" errorStyle="color:red;"/><br/>
			<h:commandButton class="btn btn-primary" action="#{bbean.maiusculas}" value="Maiúsculas"/>
		</h:form>
	</div>
	
	<div class="card p-4 mb-4">
		<h3>Faixa de valores inteiros</h3>
		<h:form id="form3">
			<div class="form-group">
				<h:outputLabel value="Idade: " for="idade"/>
				<h:inputText class="form-control" value="#{bbean.idade}" id="idade" validatorMessage="Valor deve estar entre 18 e 90 anos.">
					<f:validateLongRange minimum="18" maximum="90"/>
				</h:inputText> (entre 18 e 90) <br/>
			</div>
			<h:outputText value="#{bbean.faixa}"/>
			<h:message for="idade" errorStyle="color:red;"/>
			<br/>
			<h:commandButton class="btn btn-primary" action="#{bbean.calculeFaixa}" value="Calcule faixa"/>
		</h:form>
	</div>
	
	<div class="card p-4 mb-4">
		<h3>Número de caracteres digitados</h3>
		<h:form id="form4">
			<div class="form-group">
				<h:outputLabel value="Senha:" for="senha"/>
				<h:inputSecret class="form-control" value="#{bbean.senha}" id="senha">
					<f:validateLength minimum="3" maximum="6"/>
				</h:inputSecret> (3 a 6 caracteres)
			</div>
			<h:message for="senha" errorStyle="color:red;" infoStyle="color:blue;"/>
			<br/>
			<h:commandButton class="btn btn-primary" action="#{bbean.valideSenha}" value="Autenticar"/>
		</h:form>
	</div>
	
	<div class="card p-4 mb-4">
		<h3>Campos select com conteúdo estático</h3>
		<h:form id="form5">
			<div class="form-group">
				<h:outputLabel value="Cidades: " for="cidade"/>
				<h:selectOneMenu class="form-control" value="#{bbean.cidade}" id="cidade">
					<f:selectItem noSelectionOption="true" itemLabel="Selecione..." 
						itemValue="#{null}"/>
					<f:selectItem itemValue="0" itemLabel="João Pessoa"/>
					<f:selectItem itemValue="1" itemLabel="Campina Grande"/>
					<f:selectItem itemValue="2" itemLabel="Taperoá"/>
					<f:selectItem itemValue="3" itemLabel="Soledade"/>
					<f:selectItem itemValue="4" itemLabel="Juazeirinho"/>
				</h:selectOneMenu><br/>
			</div>
			<h:outputText value="Voce selecionou a cidade #{bbean.nomeCidade}"
				rendered="#{bbean.cidade ne null}"/>
			<br/>
			<h:commandButton class="btn btn-primary" actionListener="#{bbean.selecioneCidade}" value="Enviar"/>
		</h:form>
	</div>
	
	<div class="card p-4 mb-4">
		<h3>Campos select com enum</h3>
		<h:form id="form6">
			<div class="form-group">
				<h:outputLabel value="Estado civil:" for="estCivil"/>
				<h:selectOneMenu class="form-control" value="#{bbean.estCivil}" id="estCivil">
					<!-- <f:selectItems value="#{bbean.estadosCivis}"/> -->
					<f:selectItems value="#{bbean.estadosCivis}" var="ecivil" 
						itemLabel="#{ecivil.label}"/>
				</h:selectOneMenu><br/>
			</div>
			<h:outputText value="Voce selecionou o estado civil: #{bbean.estCivil.label}"
				rendered="#{bbean.estCivil ne null}"/>
			<br/>
			<h:commandButton class="btn btn-primary" actionListener="#{bbean.selecioneEstCivil}" value="Enviar"/>
		</h:form>
	</div>
	
	
	<!-- Bootstrap import scripts -->
	
	<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>

</h:body>

</html>
